require vmmTbl

epicsEnvSet("IPADDR", "192.168.50.2")
epicsEnvSet("IPPORT", "65535")
epicsEnvSet("P", "LAB:")
epicsEnvSet("R", "NDet-RMM-001:")

drvAsynIPPortConfigure("L0", "$(IPADDR):$(IPPORT) UDP", 0, 0, 1)

#asynSetTraceMask(   L0, -1, 0x9)
#asynSetTraceIOMask( L0, -1, 0x4)
#asynSetTraceInfoMask ( L0, -1, 0x9)

RMMConfig("RMM", "L0", "/home/iocuser/douglas/fe-vmm-tbl/cmds/config_file/lab_testbed.json" 0)

dbLoadRecords("${asyn_DIR}/db/asynRecord.db","P=asyn:,R=Test,PORT=L0,ADDR=0,IMAX=0,OMAX=0")
dbLoadRecords($(rmm_DB)/rmm.db, "P=$(P), R=$(R), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/rmm_sensors.db, "P=$(P), R=$(R), PORT=RMM, TIMEOUT=1")

#dbLoadRecords("$(rmm_DB)/rmm_packets.template", "P=$(P), R=$(R), PORT=RMM, RING=2, NODE=0, ADDR=32, TIMEOUT=1")

VMMTblConfig("RMM", 0, 0)

dbLoadRecords("$(vmmTbl_DB)/vmm_tbl.db", "P=$(P), R=NDet-VMM-001:, PORT=RMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")

iocInit()

dbpf $(P)$(R)Temperature-R.SCAN 2
dbpf $(P)$(R)ProcessPktCount-S.SCAN 2
dbpf $(P)$(R)VoltVCCINT-R.SCAN 2
dbpf $(P)$(R)VoltVCC1V8-R.SCAN 2
dbpf $(P)$(R)VoltVADJ1V8-R.SCAN 2
dbpf $(P)$(R)VoltVCC1V2-R.SCAN 2
dbpf $(P)$(R)VoltMGTAVCC-R.SCAN 2
dbpf $(P)$(R)VoltMGTAVTT-R.SCAN 2
dbpf $(P)$(R)VoltVCCINTIOBRAM-R.SCAN 2
#